# Package

version       = "4.23.4"
author        = "Jonathan Bernard"
description   = "Personal issue tracker."
license       = "MIT"
srcDir        = "src"
installExt    = @["nim"]
bin           = @["pit", "pit_api"]

# Dependencies

requires @[
  "nim >= 1.4.0",
  "docopt >= 0.6.8",
  "jester >= 0.5.0",
  "uuids >= 0.1.10",
  "zero_functional"
]

# Dependencies from git.jdb-software.com/nim-jdb/packages
requires @[
  "cliutils >= 0.8.1",
  "langutils >= 0.4.0",
  "timeutils >= 0.5.4",
  "data_uri > 1.0.0",
  "https://git.jdb-software.com/jdb/update-nim-package-version >= 0.2.0"
]

task updateVersion, "Update the version of this package.":
  exec "update_nim_package_version pit 'src/pitpkg/cliconstants.nim'"